com.io7m.r2.core

## Class R2AmbientOcclusionBufferDescriptionScaler

- java.lang.Object
- - com.io7m.r2.core.R2AmbientOcclusionBufferDescriptionScaler

- All Implemented Interfaces:
    BiFunction<R2AmbientOcclusionBufferDescriptionType,com.io7m.jareas.core.AreaInclusiveUnsignedLType,R2AmbientOcclusionBufferDescriptionType>

      public final class R2AmbientOcclusionBufferDescriptionScaler
      extends Object
      implements BiFunction<R2AmbientOcclusionBufferDescriptionType,com.io7m.jareas.core.AreaInclusiveUnsignedLType,R2AmbientOcclusionBufferDescriptionType>

  A function that, given a render target description and an inclusive area, returns a new description of the same type with the given area.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2AmbientOcclusionBufferDescriptionType` | `apply(R2AmbientOcclusionBufferDescriptionType d, com.io7m.jareas.core.AreaInclusiveUnsignedLType a)`
    `static R2AmbientOcclusionBufferDescriptionScaler` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Method Detail

    - #### get

          public static R2AmbientOcclusionBufferDescriptionScaler get()

      Returns:
        A function that, given a render target description and an inclusive area, returns a new description of the same type with the given area

    - #### apply

          public R2AmbientOcclusionBufferDescriptionType apply(R2AmbientOcclusionBufferDescriptionType d,
                                                               com.io7m.jareas.core.AreaInclusiveUnsignedLType a)

      Specified by:
        `apply` in interface `BiFunction<R2AmbientOcclusionBufferDescriptionType,com.io7m.jareas.core.AreaInclusiveUnsignedLType,R2AmbientOcclusionBufferDescriptionType>`

Copyright © 2016 <code@io7m.com> http://io7m.com